com.genesyslab.wfm8.API.service.adherence810

## Class AdhDayEventHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.adherence810.AdhDayEventHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhDayEventHolder
      extends java.lang.Object
      implements java.io.Serializable

  `AdhDayEvent` record holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchStateInfo>` | `schStateInfo` An array of schedule state description information for all scheduled states participating in returned events.
    `protected int` | `schStateInfoNSizeIs` Number of elements in schStateInfo array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Response timestamp value
    `protected java.util.List<AdhDayEvent>` | `wmDayEvents` An array of `AdhDayEvent` records
    `protected int` | `wmDayEventsNSizeIs` Number of elements in wmDayEvents array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhDayEventHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchStateInfo>` | `getSchStateInfo()` Gets the value of the schStateInfo property.
    `int` | `getSchStateInfoNSizeIs()` Gets the value of the schStateInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<AdhDayEvent>` | `getWmDayEvents()` Gets the value of the wmDayEvents property.
    `int` | `getWmDayEventsNSizeIs()` Gets the value of the wmDayEventsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)` Sets the value of the schStateInfo property.
    `void` | `setSchStateInfoNSizeIs(int value)` Sets the value of the schStateInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmDayEvents(java.util.List<AdhDayEvent> wmDayEvents)` Sets the value of the wmDayEvents property.
    `void` | `setWmDayEventsNSizeIs(int value)` Sets the value of the wmDayEventsNSizeIs property.
    `java.lang.String` | `toString()`
    `AdhDayEventHolder` | `withSchStateInfo(java.util.Collection<SchStateInfo> values)`
    `AdhDayEventHolder` | `withSchStateInfo(SchStateInfo... values)`
    `AdhDayEventHolder` | `withSchStateInfoNSizeIs(int value)`
    `AdhDayEventHolder` | `withTimestamp(long value)`
    `AdhDayEventHolder` | `withWmDayEvents(AdhDayEvent... values)`
    `AdhDayEventHolder` | `withWmDayEvents(java.util.Collection<AdhDayEvent> values)`
    `AdhDayEventHolder` | `withWmDayEventsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmDayEventsNSizeIs

          protected int wmDayEventsNSizeIs

      Number of elements in wmDayEvents array

    - #### wmDayEvents

          protected java.util.List<AdhDayEvent> wmDayEvents

      An array of `AdhDayEvent` records

    - #### schStateInfoNSizeIs

          protected int schStateInfoNSizeIs

      Number of elements in schStateInfo array

    - #### schStateInfo

          protected java.util.List<SchStateInfo> schStateInfo

      An array of schedule state description information for all scheduled states participating in returned events. `SchStateInfo`

    - #### timestamp

          protected long timestamp

      Response timestamp value

  - ### Constructor Detail

    - #### AdhDayEventHolder

          public AdhDayEventHolder()

  - ### Method Detail

    - #### getWmDayEventsNSizeIs

          public int getWmDayEventsNSizeIs()

      Gets the value of the wmDayEventsNSizeIs property.

    - #### setWmDayEventsNSizeIs

          public void setWmDayEventsNSizeIs(int value)

      Sets the value of the wmDayEventsNSizeIs property.

    - #### getWmDayEvents

          public java.util.List<AdhDayEvent> getWmDayEvents()

      Gets the value of the wmDayEvents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmDayEvents property.

      For example, to add a new item, do as follows:

              getWmDayEvents().add(newItem);

      Objects of the following type(s) are allowed in the list `AdhDayEvent`

    - #### getSchStateInfoNSizeIs

          public int getSchStateInfoNSizeIs()

      Gets the value of the schStateInfoNSizeIs property.

    - #### setSchStateInfoNSizeIs

          public void setSchStateInfoNSizeIs(int value)

      Sets the value of the schStateInfoNSizeIs property.

    - #### getSchStateInfo

          public java.util.List<SchStateInfo> getSchStateInfo()

      Gets the value of the schStateInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schStateInfo property.

      For example, to add a new item, do as follows:

              getSchStateInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `SchStateInfo`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmDayEventsNSizeIs

          public AdhDayEventHolder withWmDayEventsNSizeIs(int value)

    - #### withWmDayEvents

          public AdhDayEventHolder withWmDayEvents(AdhDayEvent... values)

    - #### withWmDayEvents

          public AdhDayEventHolder withWmDayEvents(java.util.Collection<AdhDayEvent> values)

    - #### withSchStateInfoNSizeIs

          public AdhDayEventHolder withSchStateInfoNSizeIs(int value)

    - #### withSchStateInfo

          public AdhDayEventHolder withSchStateInfo(SchStateInfo... values)

    - #### withSchStateInfo

          public AdhDayEventHolder withSchStateInfo(java.util.Collection<SchStateInfo> values)

    - #### withTimestamp

          public AdhDayEventHolder withTimestamp(long value)

    - #### setWmDayEvents

          public void setWmDayEvents(java.util.List<AdhDayEvent> wmDayEvents)

      Sets the value of the wmDayEvents property.
      Parameters:
        `wmDayEvents` - allowed object is `AdhDayEvent`

    - #### setSchStateInfo

          public void setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)

      Sets the value of the schStateInfo property.
      Parameters:
        `schStateInfo` - allowed object is `SchStateInfo`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.